%define name	ocaml-fd
%define version	1.0.0
%define release	%mkrel 3

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Descriptor-passing functions for OCaml
Source: 	http://oss.digirati.com.br/ocaml-fd/ocaml-fd-%{version}.tar.bz2
URL:		http://oss.digirati.com.br/ocaml-fd
License:	LGPL
Group:		Development/Other
BuildRequires:	ocaml
BuildRequires:  findlib
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This OCaml library implements miscellaneous functions related to UNIX file
descriptors. Currently, send_fd, recv_fd and fexecve are implemented.

%package	devel
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the development files needed to build applications
using %{name}.

%prep
%setup -q -n ocaml-fd-%{version}

%build
make all
make allopt
make doc

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}/%{ocaml_sitelib}
install -d -m 755 %{buildroot}/%{ocaml_sitelib}/stublibs
install -d -m 755 %{buildroot}/%_defaultdocdir/%{name}/html
ocamlfind install fd META -destdir %{buildroot}/%{ocaml_sitelib} \
  fd.cmi fd.mli fd.cma fd.cmxa dllfd.so libfd.a fd.a
rm -f %{buildroot}/%{ocaml_sitelib}/stublibs/*.owner

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc INSTALL LICENSE doc/html
%dir %{ocaml_sitelib}/fd
%{ocaml_sitelib}/fd/*.cmi

%files devel
%defattr(-,root,root)
%{ocaml_sitelib}/fd/*
%exclude %{ocaml_sitelib}/fd/*.cmi
%{ocaml_sitelib}/stublibs/dllfd.so



%changelog
* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.0.0-3mdv2008.1
+ Revision: 136633
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.0-3mdv2008.0
+ Revision: 90013
- rebuild

* Sat Sep 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.0-2mdv2008.0
+ Revision: 77682
- drop macro definition, now in rpm-mandriva-setup
  ship .cmi file in non-devel subpackage

* Fri Aug 31 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.0-1mdv2008.0
+ Revision: 77097
- import ocaml-fd


* Fri Aug 31 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.0-1mdv2008.0
- contributed by Andre Nathan <andre@digirati.com.br>
